> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retellai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Deprecated API notice: Legacy model fields

## Legacy model fields

**Deprecation date:** 01/31/2027

The following request fields are deprecated as of 01/31/2027. Use the listed replacements.

**Affected APIs:**

* [Create Batch Call](/api-references/create-batch-call)
* [Create Conversation Flow Subflow](/api-references/create-conversation-flow-component)
* [Create Conversation Flow](/api-references/create-conversation-flow)
* [Create Retell LLM](/api-references/create-retell-llm)
* Import Agent
* Update Batch Call
* [Update Conversation Flow Subflow](/api-references/update-conversation-flow-component)
* [Update Conversation Flow](/api-references/update-conversation-flow)
* [Update Retell LLM](/api-references/update-retell-llm)
* [Create Phone Call](/api-references/create-phone-call)
* `POST /v2/create-web-call`
* [Create Web Call](/api-references/create-web-call)
* [Register Phone Call](/api-references/register-phone-call)

**Deprecated fields:**

* `tasks[].agent_override.retell_llm.model`, `model`, `retell_llm.model`, `retellLlmData.model`, `agent_override.retell_llm.model` -> `model_config.primary`
* `tasks[].agent_override.retell_llm.s2s_model`, `tasks[].agent_override.conversation_flow.model_choice`, `nodes[].model_choice`, `model_choice`, `components[].nodes[].model_choice`, `s2s_model`, `retell_llm.s2s_model`, `retellLlmData.s2s_model`, `conversation_flow.model_choice`, `conversation_flow.components[].nodes[].model_choice`, `conversation_flow.nodes[].model_choice`, `conversationFlow.model_choice`, `conversationFlow.components[].nodes[].model_choice`, `conversationFlow.nodes[].model_choice`, `agent_override.retell_llm.s2s_model`, `agent_override.conversation_flow.model_choice` -> `model_config`
* `tasks[].agent_override.retell_llm.model_temperature`, `tasks[].agent_override.conversation_flow.model_temperature`, `model_temperature`, `retell_llm.model_temperature`, `retellLlmData.model_temperature`, `conversation_flow.model_temperature`, `conversationFlow.model_temperature`, `agent_override.retell_llm.model_temperature`, `agent_override.conversation_flow.model_temperature` -> `model_config.temperature`
* `tasks[].agent_override.retell_llm.model_high_priority`, `tasks[].agent_override.retell_llm.model_ultrafast`, `model_high_priority`, `model_ultrafast`, `retell_llm.model_high_priority`, `retell_llm.model_ultrafast`, `retellLlmData.model_high_priority`, `retellLlmData.model_ultrafast`, `agent_override.retell_llm.model_high_priority`, `agent_override.retell_llm.model_ultrafast` -> `model_config.primary.tier`
* `backup_model`, `retell_llm.backup_model`, `retellLlmData.backup_model`, `conversation_flow.backup_model`, `conversationFlow.backup_model` -> `model_config.backup`

The following response fields are deprecated as of 01/31/2027. Use the listed replacements.

**Affected APIs:**

* [Create Conversation Flow Subflow](/api-references/create-conversation-flow-component)
* [Create Conversation Flow](/api-references/create-conversation-flow)
* [Create Retell LLM](/api-references/create-retell-llm)
* [Get Conversation Flow Subflow](/api-references/get-conversation-flow-component)
* [Get Conversation Flow](/api-references/get-conversation-flow)
* [Get Retell LLM](/api-references/get-retell-llm)
* [List Conversation Flow Subflows](/api-references/list-conversation-flow-components)
* List Conversation Flow Components V1
* [List Conversation Flows](/api-references/list-conversation-flows)
* List Conversation Flows V1
* List Retell LLMV1
* [List Retell LLMs](/api-references/list-retell-llms)
* [Update Conversation Flow Subflow](/api-references/update-conversation-flow-component)
* [Update Conversation Flow](/api-references/update-conversation-flow)
* [Update Retell LLM](/api-references/update-retell-llm)

**Deprecated fields:**

* `nodes[].model_choice`, `model_choice`, `components[].nodes[].model_choice`, `s2s_model`, `items[].nodes[].model_choice`, `[].nodes[].model_choice`, `items[].model_choice`, `items[].components[].nodes[].model_choice`, `[].model_choice`, `[].components[].nodes[].model_choice`, `[].s2s_model`, `items[].s2s_model` -> `model_config`
* `model_temperature`, `items[].model_temperature`, `[].model_temperature` -> `model_config.temperature`
* `backup_model`, `items[].backup_model`, `[].backup_model` -> `model_config.backup`
* `model`, `[].model`, `items[].model` -> `model_config.primary`
* `model_high_priority`, `model_ultrafast`, `[].model_high_priority`, `[].model_ultrafast`, `items[].model_high_priority`, `items[].model_ultrafast` -> `model_config.primary.tier`

## Migration details

* Replace deprecated request fields with the replacements listed above.
* Stop depending on deprecated response fields and use the replacements listed above.
* Deprecation date: 01/31/2027.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.